package com.sinosig.core.repository.po ;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.math.BigInteger;

import com.sinosig.core.module.filter.TBYDKSearchContext;

/**
 * 实体 [特别约定库] 存储模型
 */
public interface TBYDK{

    /**
     * 建立时间
     */
    Timestamp getCreateDate();

    void setCreateDate(Timestamp createDate);

    /**
     * 获取 [建立时间]脏标记
     */
    boolean getCreateDateDirtyFlag();
    /**
     * 特别约定库名称
     */
    String getTBYDKName();

    void setTBYDKName(String tBYDKName);

    /**
     * 获取 [特别约定库名称]脏标记
     */
    boolean getTBYDKNameDirtyFlag();
    /**
     * 更新时间
     */
    Timestamp getUpdateDate();

    void setUpdateDate(Timestamp updateDate);

    /**
     * 获取 [更新时间]脏标记
     */
    boolean getUpdateDateDirtyFlag();
    /**
     * 更新人
     */
    String getUpdateMan();

    void setUpdateMan(String updateMan);

    /**
     * 获取 [更新人]脏标记
     */
    boolean getUpdateManDirtyFlag();
    /**
     * 类别
     */
    String getLb();

    void setLb(String lb);

    /**
     * 获取 [类别]脏标记
     */
    boolean getLbDirtyFlag();
    /**
     * 建立人
     */
    String getCreateMan();

    void setCreateMan(String createMan);

    /**
     * 获取 [建立人]脏标记
     */
    boolean getCreateManDirtyFlag();
    /**
     * 特约内容
     */
    String getTynr();

    void setTynr(String tynr);

    /**
     * 获取 [特约内容]脏标记
     */
    boolean getTynrDirtyFlag();
    /**
     * 特约名称
     */
    String getTymc();

    void setTymc(String tymc);

    /**
     * 获取 [特约名称]脏标记
     */
    boolean getTymcDirtyFlag();
    /**
     * 特别约定库标识
     */
    String getTBYDKId();

    void setTBYDKId(String tBYDKId);

    /**
     * 获取 [特别约定库标识]脏标记
     */
    boolean getTBYDKIdDirtyFlag();
}
